Bug 1284604 - Rosegarden 15.10 is available
Rosegarden 15.10 is available
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: rosegarden4 (Show other bugs)
23
All Linux
unspecified Severity low
: ---
: ---
Assigned To: Brendan Jones
Fedora Extras Quality Assurance
:
Depends On: 1285020
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-23 11:16 EST by Jérôme Audu
Modified: 2015-12-08 14:53 EST (History)
2 users (show)

See Also:
Fixed In Version: rosegarden4-15.10.2-1.fc23
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-08 14:53:52 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
[patch] Update to 15.10 (#1284604) (1.33 KB, patch)
2015-11-23 11:24 EST, Jérôme Audu
no flags Details | Diff
file requiered by .spec (6.82 KB, text/plain)
2015-11-23 11:29 EST, Jérôme Audu
no flags Details

  None (edit)
Description Jérôme Audu 2015-11-23 11:16:55 EST
Description of problem:

Rosegarden 15.10 “Oranges and Lemons” released
The latest available in Fedora is 14.12 (10 months old)

Version-Release number of selected component (if applicable):
rosegarden4-14.12-2.fc23

How reproducible:


Steps to Reproduce:
1. dnf install rosegarden4
2. use it
3.

Actual results:
version 14.12

Expected results:
version 15.10

Additional info:
====== ROSEGARDEN 14.12, codename "Lovely Lady" RELEASED ======

The Rosegarden team is proud to announce the release of version 14.12 of Rosegarden, an audio and MIDI sequencer and musical notation editor for Linux.

http://www.rosegardenmusic.com/

This is a routine maintenance release.

===== Bug Fixes =====

  * Fix translation bug #1423 via patch from Stuart Prescott; update all translations. (r13665)
  * Position pointer now moves to the end of paste to allow repeated pasting of segments. (r13667)
  * Fix recording of zero-length events (Bug #1365, r13672)
  * Add MuPDF and ePDFView to supported PDF viewers (Thomas Kaeding, r13673)
  * Disable destructive actions in playback/record (Bug #837, r13676)
  * Numerous fixes to opening http and ftp URLs by drag/drop.  With help from Tim Munro. (r13704, r13705, r13706, r13712)
  * Several Qt5 related patches from Tim Munro.
  * Set note-off velocity to 64 as recommended by the MIDI spec. (Bug #1426, r13710)
  * Set default volume to 100 in rgd files (r13794)
  * Add support for and prefer xdg-open for opening PDF files

===== New Features =====

  * You can enter text dynamics from "d05" to "d125" counting by 5 to get these velocities interpreted directly as written (Fernando Martin, r13666)
Comment 1 Jérôme Audu 2015-11-23 11:24 EST
Created attachment 1097761 [details]
[patch] Update to 15.10 (#1284604)

"parmesan" & "feta" package don't have README & COPYING file...
Comment 2 Jérôme Audu 2015-11-23 11:29 EST
Created attachment 1097762 [details]
file requiered by .spec

Release note from Rosegarden 15.10
Comment 3 Fedora Update System 2015-11-24 03:32:57 EST
rosegarden4-15.10.2-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-9809f5de2a
Comment 4 Fedora Update System 2015-11-24 21:54:31 EST
rosegarden4-15.10.2-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update rosegarden4'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-9809f5de2a
Comment 5 Jérôme Audu 2015-11-25 03:26:36 EST
Work for me on i386.
On x86_64, we hit the [#1285020](https://bugzilla.redhat.com/show_bug.cgi?id=1285020), so crash ! but it's not related to rosegarden
Comment 6 Fedora Update System 2015-12-08 14:53:50 EST
rosegarden4-15.10.2-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.